<?php

/**
 * Definición de la clase CoreController
 * @package Core
 * @version 3.0
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Controlador por defecto del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net 2011
 * @package Core
 * @version 3.0
 */
 
class CoreController extends Controller
{
	/**
	 * Carga la tarea desde el directorio tasks
	 * 
	 * @param string $name
	 * @param array $params
	 * @return void
	 * @deprecated Las task ya no se utilizan en el sistema
	 */
	public function __call( $name, $params )
	{
		trigger_error( 'Se intenta ejecutar la tarea '.$name, E_USER_NOTICE );
		trigger_error('Las tareas individuales ya no estan incluidas en el sistema', E_USER_DEPRECATED);
		
		if( file_exists( TASKS.'/'.$name.'.php' ) )
		{
			include TASKS.'/'.$name.'.php';
		}
		else
		{
			trigger_error( 'La tarea '.$name.' no existe para el controlador '.get_class($this), E_USER_WARNING );
		}
	}

	/**
	 * Override de la tarea por defecto
	 * @return void
	 * @deprecated Las task ya no se utilizan en el sistema
	 * @see Controller::display()
	 */
	protected function display()
	{
		trigger_error('Las tareas individuales ya no estan incluidas en el sistema', E_USER_DEPRECATED);
		$_section = Registry::get( 'section' );
		if( file_exists( TASKS.'/'.$_section.'.php' ) )
		{
			include TASKS.'/'.$_section.'.php';
		}
	}
}
 
// Fin de archivo
