<?php

/**
 * Definición de la clase CoreView
 * @package Core
 * @version 3.0
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Vista por defecto de MoonDragon
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net 2011
 * @package Core
 * @version 3.0
 */
 
class CoreView extends HTMLView
{	
	/**
	 * Override del método para mostrar el contenido
	 * @return string
	 * @see HTMLView::show()
	 */
	public function show()
	{
		if( $this->page == Registry::get( 'DEFAULT_PAGE' ) )
		{
			$section = Registry::get( 'section' );
		
			if( file_exists( TPL.'/page.'.$section.'.tpl' ) )
			{
				$this->setPage( $section );
			}
			else
			{
				$type = Registry::get( 'section_type' );
				if( file_exists( TPL.'/page.'.$type.'.tpl' ) )
				{
					$this->setPage( $type );
				}
			}
		}
		return parent::show();
	}
}

// Fin de archivo
