<?php

/**
 * Definición de la clase Lib  
 * @package Core
 * @version 3.0
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Información de una librería
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net 2011
 * @package Core
 * @version 3.0
 */
 
class Lib
{
	/**
	 * Dependencias de la librería
	 * @var array
	 */
	private $dependencies;
	
	/**
	 * Nombre de la librería
	 * @var string
	 */
	public $name;
	
	/**
	 * Versión de MoonDragon compatible
	 * @var string
	 */
	public $moondragon_version;
	
	/**
	 * Número de versión de la librería
	 * @var string
	 */
	public $version;

	/**
	 * Constructor de la clase
	 * @param string $name
	 * @param string $version
	 * @param string $moondragon_version
	 * @return void
	 */
	public function __construct($name, $version, $moondragon_version)
	{
		$this->name = $name;
		$this->version = $version;
		$this->moondragon_version = $moondragon_version;
		
		$this->dependencies = array();
	}

	/**
	 * Devuelve la lista de dependencias de la librería
	 * @return array
	 */
	public function getDependencies()
	{
		return $this->dependencies;
	}

	/**
	 * Agrega una dependencia a la librería
	 * @param string $library
	 * @param string $version
	 * @return void
	 */
	public function addDependency( $library, $version )
	{
		$this->dependencies[$library] = $version;
	}
}
 
// Fin de archivo
