<?php

/**
 * Definición de la clase Registry
 * @package Core
 * @version 3.0
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Almacena información general del sistema
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net 2011
 * @package Core
 * @version 3.0
 */
 
class Registry
{
	/**
	 * Variables de registro del sistema
	 * @var array
	 * @static
	 */
	private static $registry;

	/**
	 * Modifica una variable del registro del sistema
	 * @param string $name
	 * @param string $value
	 * @return void
	 * @static
	 */	
	public static function set( $name, $value )
	{
		self::$registry[$name] = $value;
	}
	
	/**
	 * Obtiene una variable del registro del sistema
	 * @param string $name
	 * @return mixed
	 * @static
	 */
	public static function get( $name )
	{
		return self::$registry[$name];
   	}
}
 
// Fin de archivo
