<?php

/**
 * Definición de la clase Section
 * @package Core
 * @version 3.0
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Información básica de la sección
 * 
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @copyright TuApp.net 2011
 * @package Core
 * @version 3.0
 */
 
class Section
{
	/**
	 * Identificador de la seccion
	 * @var string
	 */
	private $id;
	
	/**
	 * Nombre de la seccion
	 * @var string
	 */
	private $name;
	
	/**
	 * Controlador de la seccion
	 * @var string
	 */
	private $controller;
	
	/**
	 * Tarea por defecto de la seccion
	 * @var string
	 */
	private $task;
	
	/**
	 * Constructor de la clase
	 * 
	 * @param string $id
	 * @param string $name
	 * @param string[optional] $controller
	 * @param srting[optional] $task
	 * @return void
	 */
	public function __construct( $id, $name, $controller = '', $task = '' )
	{
		$this->id = $id;

		$this->name = $name;
		
		$this->controller = ( $controller == '' )?Registry::get( 'DEFAULT_CONTROLLER' ):$controller;
		
		$this->task = $task;
	}
	
	/**
	 * Obtiene la variable seleccionada
	 * @param string $name
	 * @return mixed
	 */
	public function get( $name )
	{
		return $this->$name;
	}
	
	/**
	 * Modifica la variable seleccionada
	 * @param string $name
	 * @param mixed $value
	 * @return void
	 */
	public function set( $name, $value )
	{
		$this->$name = $value;
	}
}
 
// Fin de archivo
