<?php

/**
 * Definición de la función md_addVar
 * @package Core
 * @version 3.0
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Agrega una variable a la vista
 * @param string $name
 * @param mixed $value
 * @return void
 */

function md_addVar( $name, $value )
{
	$view = Registry::get( 'view' );	
	if( $view instanceof View )
	{
		$view->addVar( $name, $value );
	}
	else
	{
		trigger_error( 'No hay una vista por defecto definida al intentar agregar una variable', E_USER_NOTICE );
	}
}