<?php

/**
 * Definición de la función md_halt
 * @package Core
 * @version 3.0
 * @author Andrés Javier López <ajavier.lopez@gmail.com>
 * @license http://opensource.org/licenses/lgpl-3.0.html GNU Lesser General Public License
 * @copyright TuApp.net 2011
 */

/**
 * Detiene la ejecución mostrando una página de error
 * @param string $error_string
 * @param string $error_file
 * @param int $error_line
 * @return void
 */
function md_halt( $error_string, $error_file, $error_line )
{
	$tpl = new Template( 'error' , true );
	$buffer = Buffer::getInstance();
	$buffer->end();
	$system_warning = $buffer->getContent( 'e_warning' );
	$system_notice = $buffer->getContent( 'e_notice' );
	$tpl->setVars( array( 'title' => Vars::get( 'title' ), 'Error_Message' => $error_string, 'system_warning' => $system_warning, 'system_notice' => $system_notice ) );
	
	die( (string) $tpl );
}

// Fin de archivo
